declare class Config {
    private configFileDir;
    private configFilePath;
    constructor(configFolder: string, profile: string);
    getApiKey(): Promise<string>;
    setApiKey(apiKey: string): Promise<void>;
    getToken(): Promise<string>;
    setToken(token: string): Promise<void>;
    configDirExists(): boolean;
    configFileExists(): boolean;
    private setConfigKey;
    private getConfigKey;
}
export default Config;
